import request from '@/config/axios'

// 积分商城广告图管理 VO
export interface AdsVO {
  id: number // id
  image: string // 图片
  isSwitch: boolean // 是否显现
  weigh: number // 权重
  shopName: string // 店铺名称逗号隔开
}

// 积分商城广告图管理 API
export const AdsApi = {
  // 查询积分商城广告图管理分页
  getAdsPage: async (params: any) => {
    return await request.get({ url: `/score/ads/page`, params })
  },

  // 查询积分商城广告图管理详情
  getAds: async (id: number) => {
    return await request.get({ url: `/score/ads/get?id=` + id })
  },

  // 新增积分商城广告图管理
  createAds: async (data: AdsVO) => {
    return await request.post({ url: `/score/ads/create`, data })
  },

  // 修改积分商城广告图管理
  updateAds: async (data: AdsVO) => {
    return await request.put({ url: `/score/ads/update`, data })
  },

  // 删除积分商城广告图管理
  deleteAds: async (id: number) => {
    return await request.delete({ url: `/score/ads/delete?id=` + id })
  },

  // 导出积分商城广告图管理 Excel
  exportAds: async (params) => {
    return await request.download({ url: `/score/ads/export-excel`, params })
  }
}